@import '../mixins.scss';

.input {
  &__label-xs-up {
    @include mobile {
      display: none;
    }
  }

  &__label-xs-down {
    display: none;

    @include mobile {
      display: inline-block;
    }
  }

  &__field {
    &--error {
      .MuiInputLabel-outlined.MuiInputLabel-shrink,
      .MuiFormLabel-root.Mui-focused {
        color: $color-thunderbird;
      }

      .MuiOutlinedInput-notchedOutline,
      .MuiOutlinedInput-root.Mui-focused .MuiOutlinedInput-notchedOutline,
      .MuiOutlinedInput-root:hover .MuiOutlinedInput-notchedOutline {
        border-color: $color-sea-pink;
      }
    }
  }

  .MuiInputLabel-outlined.MuiInputLabel-shrink {
    transform: translate(14px, -4px) scale(0.75);
  }

  .MuiInputLabel-outlined {
    transform: translate(14px, 18.5px) scale(1);
    font-size: 0.9rem;
  }

  .MuiFormControl-root {
    width: 100%;
    box-sizing: border-box;
    border-radius: 3px;
    margin-bottom: 3px;

    label {
      overflow: hidden;
    }

    input {
      padding: 14px;
    }
  }

  .MuiSelect-outlined.MuiSelect-outlined {
    padding: 14px;
  }
}

input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

input[type=number] {
  -moz-appearance: textfield;
}

.MuiAutocomplete-root {
  .MuiInputLabel-outlined {
    transform: translate(14px, 18.5px) scale(1);
    font-size: 0.9rem;
  }
  .MuiAutocomplete-inputRoot[class*="MuiOutlinedInput-root"] .MuiAutocomplete-input {
    padding: 5px 4px;
  }

  .MuiFormLabel-root.Mui-error {
    top: -5px;
  }
}
